### Enumeration

# Qmi DmsUimFacility

since: 1.0

#### Declaration

    enum Qmi.DmsUimFacility

#### Description [src]

UIM personalization facilities.

Available since: 1.0

#### Members

`QMI_DMS_UIM_FACILITY_PN`

  Network personalization facility.

  - Value: `0`
  - Available since: 1.0
`QMI_DMS_UIM_FACILITY_PU`

  Network subset personalization facility.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_UIM_FACILITY_PP`

  Service provider facility.

  - Value: `2`
  - Available since: 1.0
`QMI_DMS_UIM_FACILITY_PC`

  Corporate personalization facility.

  - Value: `3`
  - Available since: 1.0
`QMI_DMS_UIM_FACILITY_PF`

  UIM personalization facility.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### qmi_dms_uim_facility_get_string

Gets the nickname string for the `QmiDmsUimFacility` specified at `val`.

since: 1.0